This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 831375 - Loopbacks and/or null audio sinks causes pulseaudio crash after a while.
Loopbacks and/or null audio sinks causes pulseaudio crash after a while.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 17:55 EDT by dhwnoble
Modified: 2013-07-31 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:08:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dhwnoble 2012-06-12 17:55:02 EDT
Description of problem:
Pulseaudio crashes when loopbacks and/or null audio sinks are active.

Version-Release number of selected component (if applicable):
1.1-9.fc17

How reproducible:
Always. But can take a while.

Steps to Reproduce:
1. Use pacmd command to set up a null audio sink and a loopback.
2. Set up so an application (Doesn't matter which) outputs to the null output and set the loopback to loop the null output to the real output.
3. Wait anything from 15 minutes to 2 hours or possibly more.
  
Actual results:
After a period of time pulseaudio crashes.

Expected results:
Pulseaudio doesn't crash.

Additional info:
Here are two extracts from the system log from two of these crashes

pulseaudio[16206]: [pulseaudio] module-loopback.c: Assertion 'pa_thread_mq_get() || !PA_SINK_INPUT_IS_LINKED((u->sink_input)->state)' failed at modules/module-loopback.c:450, function sink_input_process_msg_cb(). Aborting.

pulseaudio[1428]: [null-sink] memblock.c: Assertion 'pa_atomic_load(&(b)->_ref) > 0' failed at pulsecore/memblock.c:478, function pa_memblock_get_length(). Aborting.
Comment 1 Fedora End Of Life 2013-07-03 19:57:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:08:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.